format_version: '1.0'


repository_url: https://github.com/micropython/micropython
issue_url: https://github.com/micropython/micropython/issues/6177


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 3a9d948
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 477a9d46d0bbb182a1ce7206aba75c4b6922b120
    - input_file: 'b-partial-2.diff'
      commit_sha1: 5f2f0b1db24aa93c49c7c53f823b4724689e455a

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 41fa8b5482089bdd7fa5478fe24f32913b23967c

options:
  language: C
